#include<bits/stdc++.h>
using namespace std;
int main(){
    int n,k,z=0;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++) cin>>a[i];
    if(z==0){
        for(int i=0;i<n;i++)
        z+=a[i];
    }
    else{
        for(int i=0;i<n;i++)
        z+=pow(a[i]*(n-i)*(i+1),k);
    }
    cout<<z;
}